package com.ruoyi.project.zjsgfa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 设计-钻具参数信息对象 sj_zjcsxx
 * 
 * @author ruoyi
 * @date 2025-08-18
 */
public class SjZjcsxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 井号 */
    @Excel(name = "井号")
    private String jh;

    /** 钻进钻压 */
    @Excel(name = "钻进钻压")
    private String zjzy;

    /** 钻进转速 */
    @Excel(name = "钻进转速")
    private String zjzs;

    /** 批量 */
    @Excel(name = "批量")
    private String zjpl;

    /** 泵压 */
    @Excel(name = "泵压")
    private String zjby;

    /** 缸套直径 */
    @Excel(name = "缸套直径")
    private String gtzj;

    /** 开次 */
    @Excel(name = "开次")
    private String kc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setZjzy(String zjzy) 
    {
        this.zjzy = zjzy;
    }

    public String getZjzy() 
    {
        return zjzy;
    }

    public void setZjzs(String zjzs) 
    {
        this.zjzs = zjzs;
    }

    public String getZjzs() 
    {
        return zjzs;
    }

    public void setZjpl(String zjpl) 
    {
        this.zjpl = zjpl;
    }

    public String getZjpl() 
    {
        return zjpl;
    }

    public void setZjby(String zjby) 
    {
        this.zjby = zjby;
    }

    public String getZjby() 
    {
        return zjby;
    }

    public void setGtzj(String gtzj) 
    {
        this.gtzj = gtzj;
    }

    public String getGtzj() 
    {
        return gtzj;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("zjzy", getZjzy())
            .append("zjzs", getZjzs())
            .append("zjpl", getZjpl())
            .append("zjby", getZjby())
            .append("gtzj", getGtzj())
            .append("kc", getKc())
            .toString();
    }
}
